[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TByteHelper.Parse

Convert from a string

## Declaration

Source position: syshelph.inc line 390

`public class function TByteHelper.Parse(`
`const AString: string`
`):Byte;`

## Description

Parse will attempt to convert the string AString to a byte value. It uses the StrToInt function to perform the conversion, so no localization is taken into account.

## Errors

If the string does not contain a valid byte value, an EConvertError exception is raised.

## See also

TByteHelper.ToString |  | Convert the value to string
TByteHelper.TryParse |  | Try to convert a string to a byte, report success or failure
StrToInt |  | Convert a string to an integer value.